Vla-addbox

提供:GizmoLabs - だいたい CAD LISP なサイト
2013年10月29日 (火) 09:34時点におけるGizmon (トーク | 投稿記録)による版 (ページの作成:「{{AutoLISP}} ; 構文 : (vla-addbox ''vla-object'' ''origin'' ''length'' ''width'' ''height'') ; 機能 : 3Dソリッドボックスを作図する。 ; 引数 :* vla...」)
(差分) ← 古い版 | 最新版 (差分) | 新しい版 → (差分)
構文
(vla-addbox vla-object origin length width height)


機能
3Dソリッドボックスを作図する。


引数
  • vla-object … 生成する空間のVLAオブジェクト
  • origin … 基点の3Dポイント
  • length … ボックスの長さ(正数)
  • width … ボックスの幅(正数)
  • height … ボックスの高さ(正数)
戻り値
作成した3DボックスのVLAオブジェクト


サンプル
 ; コマンドで 3DBox 追加
(command "._box" pause "L" pause pause pause)

; コマンドで 3DBox 追加(変数利用版)
(defun c:cm-addbox ()
 (setq pt1 (getpoint "\n中心点: "))
 (setq len (getreal "\n長さ: "))
 (setq wid (getreal "\n幅: "))
 (setq hgt (getreal "\n高さ: "))
 (command "._box" pt1 "L" len wid hgt)
)

; VLA で 3DBox 追加(適当にactivex版)
(defun c:ax-addbox (/ pt1 len wid hgt)
  (vl-load-com)
  (setq *actdoc* (vla-get-activedocument (vlax-get-acad-object)))
  (setq mspace (vla-get-modelspace *actdoc*))
  (setq pt1 (vlax-3d-point (setq pt (getpoint "\n基点 : "))))
  (setq len (getdist "\n長さ: " pt)
        wid (getdist "\n幅: " pt)
        hgt (getdist "\n高さ: " pt)
  )
  (vla-addbox mspace pt1 len wid hgt)
  (princ)
) ;defun


関連事項